# OpalStatusTransferCall Struct Reference

`#include <opal.h>`

## Data Fields

const char * | m_callToken
| Call token for call being transferred.
const char * | m_protocolCallId
const char * | m_result
const char * | m_info

## Detailed Description

Call transfer information for the OpalIndTransferCall indication. This is only returned from the OpalGetMessage() function.

## Field Documentation

const char* OpalStatusTransferCall::m_callToken

Call token for call being transferred.

const char* OpalStatusTransferCall::m_info

Protocol dependent information in the form: key=value
key=value
etc

const char* OpalStatusTransferCall::m_protocolCallId

ID assigned by the underlying protocol for the call. Only available in version 18 and above

const char* OpalStatusTransferCall::m_result

Result of transfer operation. This is one of: "progress" transfer of this call is still in progress. "success" transfer of this call completed, call will be cleared. "failed" transfer initiated by this call did not complete, call remains active. "started" remote system has asked local connection to transfer to another target. "completed" local connection has completed the transfer to other target. "forwarded" remote has forwarded call local system has initiated to another address. "incoming" this call is the target of an incoming transfer, e.g. party C in a consultation transfer scenario.

The documentation for this struct was generated from the following file:

- opal.h